Album: Someday
Artists:
- Clark Powell
- Riki Tsuji
Date: November 21, 2013
Date Added: May 12, 2021
URLs:
- https://clarkpowell.bandcamp.com/album/someday
Cover Artists:
- Kristin Kemper
Color: '#efcf96'
Groups:
- Clark Powell
- Beyond
Commentary: |-
    <i>Clark Powell:</i>
    High Tide is a short film created by Kristin Kemper, and this is the single release of the film's score! It has been remastered for your listening pleasure, and remixed (also for your listening pleasure).
    High Tide in all its glory lives at [vimeo.com/70976988](https://vimeo.com/70976988)
Wallpaper Artists:
- Kristin Kemper
# Additional Files:
# - Title: High Tide Wallpapers
#   Files:
#   - hightidewallpaper1.jpg
#   - hightidewallpaper2.jpg
#   - hightidewallpaper3.jpg
#   - hightidewallpaper4.jpg
#   - hightidewallpaper5.jpg
---
Track: Someday
Directory: someday-clark-powell
Always Reference By Directory: true
Artists:
- Clark Powell
Contributors:
- Riki Tsuji (vocals)
Duration: '3:58'
URLs:
- https://clarkpowell.bandcamp.com/track/someday-feat-astro-kid
- https://soundcloud.com/plazmataz/someday-feat-astro-kid
Referenced Tracks:
- Day That Never Came
Sampled Tracks:
- Day That Never Came
Lyrics: |-
    Someday, we'll be together  <!-- 3:04 -->
    Oh yeah, oh yeah (mmmm)

    Someday, we'll be together
    Oh yes, we will (mmmm)

    Someday, we'll be together
    Oh yeah, oh yeah (mmmm)

    Someday, we'll be together
    Oh yes, we will (mmmm)
---
Track: Someday (Astro Kid Remix)
Artists:
- Riki Tsuji
Duration: '4:41'
URLs:
- https://clarkpowell.bandcamp.com/track/someday-astro-kid-remix
Referenced Tracks:
- track:someday-clark-powell
Sampled Tracks:
- track:someday-clark-powell
Lyrics: |-
    Together  <!-- 0:15 -->
    Together
    Together
    Together

    (We'll be together)  <!-- 1:26 -->

    Someday, we'll be together  <!-- 1:42 -->
    Oh yeah, oh yeah (mmmm)
    Someday, we'll be together
    Oh yes, we will (mmmm)

    (Someday, we'll be together...)
    (Oh yeah, oh yeah)

    Someday, we'll be together  <!-- 2:46 -->
    Oh yeah, oh yeah (mmmm)
    Someday, we'll be together
    Oh yes, we will (mmmm)
    Someday, we'll be together
    Oh yeah, oh yeah (mmmm)
    Someday, we'll be together
    Oh yes, we will (mmmm)

    Someday, we'll be together  <!-- 3:36 -->
    Oh yeah, oh yeah (mmmm)
    Someday, we'll be together
    Oh yes, we will (mmmm)
    Someday, we'll be together
    Oh yeah, oh yeah (mmmm)
    Someday, we'll be together
    Oh yes, we will (mmmm)
